Name: scons
Version: 0.96.90
Release: alt2

Summary: an Open Source software construction tool
Summary(ru_RU.KOI8-R): Open Source    

License: MIT, freely distributable
Group: Development/Python
Url: http://www.scons.org

BuildArchitectures: noarch
BuildRequires: python >= 1.5 python-devel
Requires: python >= 1.5

Source: http://cesnet.dl.sourceforge.net/sourceforge/scons/%name-src-%version.tar.bz2

%description
SCons is an Open Source software construction tool--that is, a build
tool; an improved substitute for the classic Make utility; a better way
to build software.  SCons is based on the design which won the Software
Carpentry build tool design competition in August 2000.

SCons "configuration files" are Python scripts, eliminating the need
to learn a new build tool syntax.  SCons maintains a global view of
all dependencies in a tree, and can scan source (or other) files for
implicit dependencies, such as files specified on #include lines.  SCons
uses MD5 signatures to rebuild only when the contents of a file have
really changed, not just when the timestamp has been touched.  SCons
supports side-by-side variant builds, and is easily extended with user-
defined Builder and/or Scanner objects.

%description -l ru_RU.KOI8-R
SCons --      --    
   Make;     . SCons
 ,        Software
Carpentry   2000.

    SCons --    Python,  
      . SCons   
    ,     
(  )    ,   , 
  #include. SCons   MD5  , 
   , أ   ,  
    . SCons      ޣ
   Builder / Scanner.

%package -n %name-doc

Summary: Documentation for scons package
Summary(ru_RU.KOI8-R):    scons
Group: Development/Python

%description -n %name-doc
This package contains various documentation related to SCons usage and develompent.

%description -n %name-doc -l ru_RU.KOI8-R
        SCons  
 .

%prep
%setup -n %name-src-%version

%build
export SCONS_LIB_DIR=%_builddir/%name-src-%version/src/engine
%__python src/script/scons.py build/scons

%install
pushd build/scons
python setup.py install --root=%buildroot --standard-lib
popd
%__install -pD -m644 doc/man/scons.1 %buildroot%_man1dir/scons.1
%__install -pD -m644 doc/man/sconsign.1 %buildroot%_man1dir/sconsign.1

find doc -name *.in | xargs rm -f

%files
%doc LICENSE README src/CHANGES.txt src/README.txt src/RELEASE.txt
%_bindir/*
%_man1dir/*
%_libdir/*

%files -n %name-doc
%doc doc/design doc/reference doc/python10 doc/user HOWTO

%changelog
* Mon Jun 20 2005 Vitaly Lipatov <lav@altlinux.ru> 0.96.90-alt2
- NMU: new version
- cleanup spec

* Tue Mar 29 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.96.1-alt1.1
- Rebuilt with python-2.4.

* Sat Feb 26 2005 Yury Aliaev <mutabor@altlinux.ru> 0.96.1-alt1
- updated to 0.96.1
- spec adopted for new version features
- splitted into two packages, scons and scons-doc

* Wed Nov 19 2003 Yury Aliaev <mutabor@altlinux.ru> 0.94-alt1
- updated to new version
- spec cleanup

* Sat Nov 01 2003 Yury Aliaev <mutabor@altlinux.ru> 0.93-alt1
- alt 1
- initial release, spec cleanup
- based on original spec by Steven Knight <knight@scons.org>
